from django import template
from ..models import Variable, File
register = template.Library()

@register.simple_tag
def var(name):
  v = Variable.objects.get(name=name)
  if v: return v.value
  
@register.simple_tag
def file(name):
  f = File.objects.get(name=name)
  if f: return f.value.url